GET
/api/v1/e2e_dns/diagnostics/verify_validity/{domain_name}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/diagnostics/verify_validity/{domain_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/diagnostics/verify_validity/{domain_name}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/diagnostics/verify_validity/{domain_name}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domain_name
required
string
Domain Name
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Precondition Failed due to missing domain validity
Media typeapplication/json
object
code
integer
data
object
key
additional properties
any
errors
object
status
boolean
message
string
message
string
Example
{ "code": 412, "data": {}, "errors": { "status": false, "message": "Could not find validity for your domain." }, "message": "Precondition Failed"}